/******************************************************************************
 *{@C
 *      Copyright:      2009-2010 Paul Obermeier (obermeier@tcl3d.org)
 *
 *                      See the file "Tcl3D_License.txt" for information on
 *                      usage and redistribution of this file, and for a
 *                      DISCLAIMER OF ALL WARRANTIES.
 *
 *      Module:         Tcl3D -> tcl3dOsg
 *      Filename:       osgFX.i
 *
 *      Author:         Paul Obermeier
 *
 *      Description:    SWIG file for wrapping the Open Scene Graph library.
 *                      This file does the actual wrapping of OSG module osgFX.
 *
 *****************************************************************************/

%include "osgHeader.i"

%include "osgAnimationHeader.i"
%include "osgFXHeader.i"
%include "osgParticleHeader.i"
%include "osgSimHeader.i"
%include "osgTextHeader.i"
%include "osgUtilHeader.i"

%import "osg.i"

%{
using namespace osg;
using namespace osgFX;
%}

%include osgFX/Technique
%include osgFX/Effect
%include osgFX/AnisotropicLighting
%include osgFX/BumpMapping
%include osgFX/Cartoon
%include osgFX/MultiTextureControl
%include osgFX/Registry
%include osgFX/Scribe
%include osgFX/SpecularHighlights
%include osgFX/Validator

%include osgFX/Version
